X2Go Bug report logs - #1130
Arctica-NX-Libs Betatest fails with Ubuntu 14.04

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Wed, 4 Jan 2017 17:25:01 UTC

Severity: normal

Full log


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1130; Package nx-libs. (Wed, 04 Jan 2017 17:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Jan 2017 17:25:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

Received: (at submit) by bugs.x2go.org; 4 Jan 2017 17:21:09 +0000
From w.moghrabi@servicemagic.eu  Wed Jan  4 18:21:08 2017
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=3.0 tests=BAYES_50,URIBL_BLOCKED
	autolearn=ham version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 0BF015DAA7
	for <submit@bugs.x2go.org>; Wed,  4 Jan 2017 18:21:08 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 8eQrpB2XLTnC for <submit@bugs.x2go.org>;
	Wed,  4 Jan 2017 18:21:01 +0100 (CET)
X-Greylist: delayed 598 seconds by postgrey-1.34 at ymir.das-netzwerkteam.de; Wed, 04 Jan 2017 18:21:01 CET
Received: from zm-01.servicemagic.eu (zm-01.servicemagic.eu [176.31.236.17])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 56E6E5DA2E
	for <submit@bugs.x2go.org>; Wed,  4 Jan 2017 18:21:01 +0100 (CET)
Received: from localhost (localhost.localdomain [127.0.0.1])
	by zm-01.servicemagic.eu (Postfix) with ESMTP id 8A341806A0D82
	for <submit@bugs.x2go.org>; Wed,  4 Jan 2017 18:11:02 +0100 (CET)
X-Amavis-Modified: Mail body modified (using disclaimer) -
	zm-01.servicemagic.eu
X-Virus-Scanned: amavisd-new at servicemagic.eu
Received: from zm-01.servicemagic.eu ([127.0.0.1])
	by localhost (zm-01.servicemagic.eu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 5fXmCkSwBhNA for <submit@bugs.x2go.org>;
	Wed,  4 Jan 2017 18:11:02 +0100 (CET)
Received: from zm-01.servicemagic.eu (localhost.localdomain [127.0.0.1])
	by zm-01.servicemagic.eu (Postfix) with ESMTP id 11DA780963B66
	for <submit@bugs.x2go.org>; Wed,  4 Jan 2017 18:11:02 +0100 (CET)
Date: Wed, 4 Jan 2017 18:11:02 +0100 (CET)
From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Message-ID: <708054389.31373365.1483549862053.JavaMail.root@servicemagic.eu>
In-Reply-To: <1018939070.31372964.1483549656560.JavaMail.root@servicemagic.eu>
Subject: Arctica-NX-Libs Betatest fails with Ubuntu 14.04
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-Originating-IP: [10.33.100.60]
X-Mailer: Zimbra 7.2.0_GA_2669 (ZimbraWebClient - GC55 (Linux)/7.2.0_GA_2669)
package: nx-libs

Hi,

following the instructions from http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting, but using Ubuntu 14.04 and manually adding the MATE PPA for 14.04, I encountered the following error message as a popup from X2GoClient when trying to connect:

"The remote proxy closed the connection while negotiating the session. This may be due to the wrong authentication credentials passed to the server."


In /var/log/auth.log on the server, I get this error:

Jan  4 15:54:39 test2 sshd[3431]: Accepted publickey for walid from 10.8.0.6 port 45976 ssh2: RSA 82:fd:9b:f0:24:b3:95:25:2e:c5:f1:85:ae:e5:8f:1a
Jan  4 15:54:39 test2 sshd[3431]: pam_unix(sshd:session): session opened for user walid by (uid=0)
Jan  4 15:54:39 test2 sshd[3431]: pam_systemd(sshd:session): Failed to create session: No such file or directory
Jan  4 15:54:42 test2 sshd[3454]: error: connect_to localhost port 54731: failed.
Jan  4 15:54:42 test2 sshd[3454]: Non-public channel 0, type 11.
Jan  4 15:54:42 test2 sshd[3454]: Disconnecting: Received ieof for nonexistent channel 0.
Jan  4 15:54:42 test2 sshd[3431]: pam_unix(sshd:session): session closed for user walid

Seems something is missing somewhere ...

Kind Regards,
Walid MOGHRABI
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1130; Package nx-libs. (Wed, 04 Jan 2017 17:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Jan 2017 17:40:02 GMT) (full text, mbox, link).


Message #10 received at 1130@bugs.x2go.org (full text, mbox, reply):

Received: (at 1130) by bugs.x2go.org; 4 Jan 2017 17:39:10 +0000
From ulrich.sibiller@gmail.com  Wed Jan  4 18:39:10 2017
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: *
X-Spam-Status: No, score=1.7 required=3.0 tests=BAYES_40,DKIM_SIGNED,
	DKIM_VALID,DKIM_VALID_AU,FREEMAIL_FROM,FREEMAIL_REPLYTO,
	FREEMAIL_REPLYTO_END_DIGIT,RCVD_IN_SORBS_SPAM,URIBL_BLOCKED autolearn=no
	version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id DC7313CC5F
	for <1130@bugs.x2go.org>; Wed,  4 Jan 2017 18:39:09 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id aCie3LQcxzrt for <1130@bugs.x2go.org>;
	Wed,  4 Jan 2017 18:39:03 +0100 (CET)
Received: from mail-ua0-f178.google.com (mail-ua0-f178.google.com [209.85.217.178])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id C48F05DA2E
	for <1130@bugs.x2go.org>; Wed,  4 Jan 2017 18:39:02 +0100 (CET)
Received: by mail-ua0-f178.google.com with SMTP id 88so350852382uaq.3
        for <1130@bugs.x2go.org>; Wed, 04 Jan 2017 09:39:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=mime-version:reply-to:in-reply-to:references:from:date:message-id
         :subject:to:content-transfer-encoding;
        bh=Xj/cCCouLjtho21wh/Hpfl/flYm25EE2wUC6rxKEug0=;
        b=Tfdl9gsNjMplBTiYx8WFyjhiP9PQRsSyfB3istZdhee7HPAjc3+ACE3dfMvsDIxkLW
         MiWoIV9fvAbroMjIwoaXOL8vqILP/BnDlR5pPo7i/0kun9pZ70kBDzAhe+7nOZVFzDQp
         aTwyMCiNIGjqyeZ5Lt1W2oSoPsFWT2U6MNg09PQMUGUdHI4ZgmqM+IbqhHdV9UEgGEXE
         w++qg1b43u26BrCi/vMEf2MmvnSBNHgty+evYt7fH7Wg2Wom1rSHe984cnvYmOjld8Bo
         mBcpxQ/LGg1i+YGEqiqtS8q0swc9pPC8u3k/hlAxrGGYZQnjlbLnmX+H4uy0w6g7CxDo
         WUFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:mime-version:reply-to:in-reply-to:references
         :from:date:message-id:subject:to:content-transfer-encoding;
        bh=Xj/cCCouLjtho21wh/Hpfl/flYm25EE2wUC6rxKEug0=;
        b=BS5lVDRGRH+xNlMW5497i22F9tSchB/rf9v869ZhvHcsPlPhhweF4qiNHmzaYc27pN
         fg2BbfI4Hq0jHr/lAhdkDDyalPYkjC9yYUiGIf/5xPjxmUGUMfKGr6VcEX/qxKLwh3Bk
         3PfGsw1ShebAjIoA0kVoGeDw6kUySZ5RFi8iPGJzh4VXkLdUo7qbaVxVJX7mXjl10tXI
         D/m9D0ub+NVQglwT4M/e+eQ2l2MZ6dD688nQLovW4qvHMjQPWvCw4X9VxQ+hQZ84XQk7
         IXEgveIFcPHsR57VIziBVJJkoF4uVmjiXWsClosSz2zutfqsgHqHM+2NO44C5xlA+nag
         wd9w==
X-Gm-Message-State: AIkVDXIiBHce6yvp0pCznwhFg3+DegLLDr2OIJc5/ltQBKTAueC2MJPjdnvzG7b01wgzzNvHaMGYsxEUQmg5HA==
X-Received: by 10.176.84.12 with SMTP id n12mr50879169uaa.25.1483551541549;
 Wed, 04 Jan 2017 09:39:01 -0800 (PST)
MIME-Version: 1.0
Received: by 10.103.130.5 with HTTP; Wed, 4 Jan 2017 09:38:41 -0800 (PST)
Reply-To: uli42@gmx.de
In-Reply-To: <708054389.31373365.1483549862053.JavaMail.root@servicemagic.eu>
References: <1018939070.31372964.1483549656560.JavaMail.root@servicemagic.eu> <708054389.31373365.1483549862053.JavaMail.root@servicemagic.eu>
From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
Date: Wed, 4 Jan 2017 18:38:41 +0100
Message-ID: <CANVnVYJR=oYP8jPyAyRFmc5kgNe8ngtOs3kZ8YZkmBmJMpPnKw@mail.gmail.com>
Subject: Re: [X2Go-Dev] Bug#1130: Arctica-NX-Libs Betatest fails with Ubuntu 14.04
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1130@bugs.x2go.org
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Looks like an inclomplete x2goserver installation.

On Wed, Jan 4, 2017 at 6:11 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> package: nx-libs
>
> Hi,
>
> following the instructions from http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting, but using Ubuntu 14.04 and manually adding the MATE PPA for 14.04, I encountered the following error message as a popup from X2GoClient when trying to connect:
>
> "The remote proxy closed the connection while negotiating the session. This may be due to the wrong authentication credentials passed to the server."
>
>
> In /var/log/auth.log on the server, I get this error:
>
> Jan  4 15:54:39 test2 sshd[3431]: Accepted publickey for walid from 10.8.0.6 port 45976 ssh2: RSA 82:fd:9b:f0:24:b3:95:25:2e:c5:f1:85:ae:e5:8f:1a
> Jan  4 15:54:39 test2 sshd[3431]: pam_unix(sshd:session): session opened for user walid by (uid=0)
> Jan  4 15:54:39 test2 sshd[3431]: pam_systemd(sshd:session): Failed to create session: No such file or directory
> Jan  4 15:54:42 test2 sshd[3454]: error: connect_to localhost port 54731: failed.
> Jan  4 15:54:42 test2 sshd[3454]: Non-public channel 0, type 11.
> Jan  4 15:54:42 test2 sshd[3454]: Disconnecting: Received ieof for nonexistent channel 0.
> Jan  4 15:54:42 test2 sshd[3431]: pam_unix(sshd:session): session closed for user walid
>
> Seems something is missing somewhere ...
>
> Kind Regards,
> Walid MOGHRABI
> ---
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1130; Package nx-libs. (Wed, 04 Jan 2017 18:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Jan 2017 18:05:03 GMT) (full text, mbox, link).


Message #15 received at 1130@bugs.x2go.org (full text, mbox, reply):

Received: (at 1130) by bugs.x2go.org; 4 Jan 2017 18:01:10 +0000
From w.moghrabi@servicemagic.eu  Wed Jan  4 19:01:09 2017
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=3.0 tests=BAYES_00,MIME_QP_LONG_LINE,
	URIBL_BLOCKED autolearn=ham version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id C93393CC5F
	for <1130@bugs.x2go.org>; Wed,  4 Jan 2017 19:01:08 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id OrpFqzwMkIR7 for <1130@bugs.x2go.org>;
	Wed,  4 Jan 2017 19:01:02 +0100 (CET)
X-Greylist: delayed 483 seconds by postgrey-1.34 at ymir.das-netzwerkteam.de; Wed, 04 Jan 2017 19:01:01 CET
Received: from zm-01.servicemagic.eu (zm-01.servicemagic.eu [176.31.236.17])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id E7A7C5DA2E
	for <1130@bugs.x2go.org>; Wed,  4 Jan 2017 19:01:01 +0100 (CET)
Received: from localhost (localhost.localdomain [127.0.0.1])
	by zm-01.servicemagic.eu (Postfix) with ESMTP id F2F538085E5CC;
	Wed,  4 Jan 2017 18:52:57 +0100 (CET)
X-Amavis-Modified: Mail body modified (using disclaimer) -
	zm-01.servicemagic.eu
X-Virus-Scanned: amavisd-new at servicemagic.eu
Received: from zm-01.servicemagic.eu ([127.0.0.1])
	by localhost (zm-01.servicemagic.eu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id CUXe272iu+rf; Wed,  4 Jan 2017 18:52:57 +0100 (CET)
Received: from zm-01.servicemagic.eu (localhost.localdomain [127.0.0.1])
	by zm-01.servicemagic.eu (Postfix) with ESMTP id 0CFCB806A0DF7;
	Wed,  4 Jan 2017 18:52:57 +0100 (CET)
Date: Wed, 4 Jan 2017 18:52:56 +0100 (CET)
From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: uli42@gmx.de
Cc: 1130@bugs.x2go.org
Message-ID: <29928913.31380537.1483552376957.JavaMail.root@servicemagic.eu>
In-Reply-To: <CANVnVYJR=oYP8jPyAyRFmc5kgNe8ngtOs3kZ8YZkmBmJMpPnKw@mail.gmail.com>
Subject: Re: [X2Go-Dev] Bug#1130: Arctica-NX-Libs Betatest fails with Ubuntu
 14.04
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Originating-IP: [10.33.100.60]
X-Mailer: Zimbra 7.2.0_GA_2669 (ZimbraWebClient - GC55 (Linux)/7.2.0_GA_2669)
Well, this is exactly the same installation steps I did for 16.04 except that I had to add MATE ppa since MATE is not provided in the base 14.04 repos.

Installation was done on a LXC container with base ubuntu 14.04 server updated to date.
The process involved in creating the template is basically a debootstrap with minimal install.

To sum up :

* Create the container and login as root
* apt-get update; apt-get dist-upgrade -y
* apt-get install software-properties-common
* add-apt-repository ppa:x2go/ppa
* wget -qO - http://packages.arctica-project.org/archive.key | sudo apt-key add -
* echo "deb http://packages.arctica-project.org/ubuntu trusty main" > /etc/apt/sources.list.d/arctica.list
* apt-get update; apt-get dist-upgrade -y
* apt-get install x2goserver x2goserver-xsession x2gomatebindings mate-core ubuntu-mate-themes mate-applets mate-menus mate-notification-daemon mate-screensaver libcanberra-pulse firefox
* useradd -m -s /bin/bash walid
* passwd walid
* reboot

Then connect with X2Go client but it fails.

Just to let you know, this was a quick test the same way I did on a 16.04 based install (which works nicely) in the same condition.
We have plenty of VMs running X2Go Server on Ubuntu 14.04 for our DEVs, I tried to update one of them with these repos (X2Go Heuler and Arctica) and I got the exact same error so I doubt this is related to an incomplete installation ... at least, not on the base system anyway.

Regards,

Walid


	
----- Mail original ----- 

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1130@bugs.x2go.org 
Envoyé: Mercredi 4 Janvier 2017 18:38:41 
Objet: Re: [X2Go-Dev] Bug#1130: Arctica-NX-Libs Betatest fails with Ubuntu 14.04 

Looks like an inclomplete x2goserver installation. 

On Wed, Jan 4, 2017 at 6:11 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> package: nx-libs 
> 
> Hi, 
> 
> following the instructions from http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting, but using Ubuntu 14.04 and manually adding the MATE PPA for 14.04, I encountered the following error message as a popup from X2GoClient when trying to connect: 
> 
> "The remote proxy closed the connection while negotiating the session. This may be due to the wrong authentication credentials passed to the server." 
> 
> 
> In /var/log/auth.log on the server, I get this error: 
> 
> Jan 4 15:54:39 test2 sshd[3431]: Accepted publickey for walid from 10.8.0.6 port 45976 ssh2: RSA 82:fd:9b:f0:24:b3:95:25:2e:c5:f1:85:ae:e5:8f:1a 
> Jan 4 15:54:39 test2 sshd[3431]: pam_unix(sshd:session): session opened for user walid by (uid=0) 
> Jan 4 15:54:39 test2 sshd[3431]: pam_systemd(sshd:session): Failed to create session: No such file or directory 
> Jan 4 15:54:42 test2 sshd[3454]: error: connect_to localhost port 54731: failed. 
> Jan 4 15:54:42 test2 sshd[3454]: Non-public channel 0, type 11. 
> Jan 4 15:54:42 test2 sshd[3454]: Disconnecting: Received ieof for nonexistent channel 0. 
> Jan 4 15:54:42 test2 sshd[3431]: pam_unix(sshd:session): session closed for user walid 
> 
> Seems something is missing somewhere ... 
> 
> Kind Regards, 
> Walid MOGHRABI 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> http://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1130; Package nx-libs. (Sat, 13 Jan 2018 06:45:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Apr 15 11:56:05 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.